# -*- coding: utf-8 -*- 
# @Time    : 04/15/2024 
# @Author  : nzooherd 
# @File    : insufficient_balance.py 
# @Software: Visual Studio Code

class InsufficientBalanceException(Exception):
    """
    Exception raise when customer don't have enough balance
    """

    def __init__(self, user_id: str, balance: int) -> None:
        message = f"User {user_id} don't have enough balance: {balance}"
        super().__init__(message)
    